Cancel bill-pay payments waiting for recipient configuration
curl --request POST \
--url https://b2b-api.dev-riseworks.io/v2/payments/teams/{team_nanoid}/external_entity/{user_nanoid}/pending_payments/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cancel_version": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://b2b-api.dev-riseworks.io/v2/payments/teams/{team_nanoid}/external_entity/{user_nanoid}/pending_payments/cancel"
payload = { "cancel_version": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cancel_version: '2023-11-07T05:31:56Z'})
};
fetch('https://b2b-api.dev-riseworks.io/v2/payments/teams/{team_nanoid}/external_entity/{user_nanoid}/pending_payments/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"status": "canceled",
"canceled_payment_count": 4503599627370495
}
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}{
"success": false,
"data": "<string>",
"error_code": "<string>"
}B2B Bill Pay
Cancel bill-pay payments waiting for recipient configuration
POST
/
v2
/
payments
/
teams
/
{team_nanoid}
/
external_entity
/
{user_nanoid}
/
pending_payments
/
cancel
Cancel bill-pay payments waiting for recipient configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifier of a Rise team (a workspace below a company). 15-character nanoid prefixed with te-.
Required string length:
15Pattern:
^te-.*Identifier of a Rise user. 15-character nanoid prefixed with us-.
Required string length:
15Pattern:
^us-.*Body
application/json
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$